| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# anchor

$Revision: 1.4 $

$Date: 2002/06/12 11:17:59 $

anchor — A spot in the document

## Synopsis

### Content Model

    anchor ::=
    EMPTY

### Attributes

Name | Type | Default

revisionflag

Enumeration:
added
changed
deleted
off

None

revision | CDATA | None
arch | CDATA | None
vendor | CDATA | None
security | CDATA | None
pagenum | CDATA | None
remap | CDATA | None
xreflabel | CDATA | None
conformance | NMTOKENS | None
os | CDATA | None
userlevel | CDATA | None
id | ID | Required
role | CDATA | None
condition | CDATA | None

## Description

An anchor identifies a single spot in the content. This may serve as the target for a cross reference, for example, from a `Link`. The `Anchor` element may occur almost anywhere.

`Anchor` has the `Role` attribute and all of the common attributes except `Lang`.

### Processing expectations

`Anchor` has no content and generally produces no output. It is a link target.

### Parents

These elements contain anchor: `abbrev`, `acronym`, `action`, `answer`, `appendix`, `application`, `article`, `attribution`, `bibliodiv`, `bibliography`, `bibliomisc`, `blockquote`, `bridgehead`, `callout`, `caution`, `chapter`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `constraintdef`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glossary`, `glossdiv`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `important`, `index`, `indexdiv`, `interfacename`, `itemizedlist`, `keycap`, `label`, `lineannotation`, `link`, `listitem`, `literal`, `literallayout`, `lotentry`, `manvolnum`, `member`, `msgaud`, `msgexplan`, `msgtext`, `note`, `olink`, `option`, `optional`, `orderedlist`, `para`, `parameter`, `partintro`, `phrase`, `preface`, `primary`, `primaryie`, `procedure`, `productname`, `programlisting`, `property`, `qandadiv`, `qandaset`, `question`, `quote`, `refentrytitle`, `refpurpose`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `remark`, `replaceable`, `revdescription`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `setindex`, `sidebar`, `simpara`, `simplesect`, `step`, `subscript`, `subtitle`, `superscript`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `tip`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`, `variablelist`, `warning`, `wordasword`.

## Attributes

pagenum

  `PageNum` indicates the page on which the anchor occurs in some printed version of the document.

  The `PageNum` attribute does not influence the pagination or page numbering of an SGML application processing the document; it is informative, not declarative.

## See Also

`link`, `olink`, `ulink`, `xref`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The anchor element<anchor id="example.anchor.1"/> is empty and contributes
    nothing to the flow of the content in which it occurs.  It is only useful
    as a target.
    </para>

The anchor element is empty and contributes nothing to the flow of the content in which it occurs. It is only useful as a target.

alt |  | answer

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.